xmlgraphics-fop-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeremias Maerki <...@jeremias-maerki.ch>
Subject Re: 0.92beta source code
Date Thu, 13 Jul 2006 15:18:10 GMT

On 13.07.2006 16:41:25 Andreia Oliveira wrote:
> Hi Jeremias,
> 
> It also does not work properly with the classpath.
> PATH environment variable is set to:
> "C:\Program Files\Windows Resource
> Kits\Tools\;%SystemRoot%\system32;%SystemRoot%;%SystemRoot%\System32\Wbem;C:
> \Program Files\Common Files\Adobe\AGL;C:\Program Files\Microsoft SQL
> Server\80\Tools\BINN;C:\apache-ant-1.6.5\bin;C:\Program
> Files\Java\jdk1.5.0_07\lib;C:\Program
> Files\Java\jdk1.5.0_07\bin;C:\fop-0.92beta\lib;C:\fop-0.92beta\lib\commons-l
> ogging-1.0.4.jar;C:\fop-0.92beta\lib\commons-io-1.1.jar;C:\fop-0.92beta\lib\
> avalon-framework-4.2.0.jar;C:\fop-0.92beta\lib\batik-all-1.6.jar;C:\fop-0.92
> beta\lib\xalan-2.7.0.jar;C:\fop-0.92beta\lib\xercesImpl-2.7.1.jar;C:\fop-0.9
> 2beta\lib\xml-apis-1.3.02.jar;C:\fop-0.92beta\lib\xmlgraphics-commons-1.0.ja
> r;C:\fop-0.92beta\lib\avalon-framework-4.2.0.jar;C:\fop-0.92beta\lib\seriali
> zer-2.7.0.jar;C:\fop-0.92beta\lib\servlet-2.2.jar;"

The PATH environment variable has nothing to do with the class path. The
classpath is what you specify on the "-cp" parameter on the JVM.

> I am now working with j2sdk1.4.2_12 because I saw somewhere that jdk1.5
> could be the reason why the buid of the source data was not ok. But, with no
> success either.

Both 1.4.2 and 1.5 work just fine if the class path is correct. See
fop.bat to see how the class path is supposed to be set up. If you do
this from an IDE, you just have to the respective setup work.

> I did not mention in my last email but I am also having some java.awt.paint,
> java.io.FileFilter,... missing. In my references I have vjslib and recently
> added vjssupUILib (suplemmental J# UI Library)... Could I be missing any
> additional reference?

You seem to be mixing things up. One second you talk about j2sdk1.4.2_12
and jdk1.5 (i.e. real Java stuff), the other about J#. As Chris already
told you: J# is not Java. AFAIK, J# basically only covers JDK-level
1.1.4 but FOP requires at least 1.3. If you want to run FOP with
Microsoft's J# tools, you'd better try to get help from the Microsoft corner.
We can't really help you with any J# stuff.

There's another route to .NET which I'm currently investigating:
http://www.ikvm.net
However, that is currently equally painful and I've only managed to
compile FOP but not run it due to bugs in GNU Classpath's JAXP
implementations. I guess it will take some time until the latest FOP can
really run on .NET. When it does, it will be quite cool.

Until then I suggest you investigate other alternatives if you really
need FOP in a .NET environment. My suggestion would be to deploy FOP as
a WebService in a Java container and call FOP from C# (or any other .NET
language) via WebServices. Or if you just need basic functionality you
will also get happy by deploying FOP in a servlet.

<snip/>

Good luck!

Jeremias Maerki


---------------------------------------------------------------------
To unsubscribe, e-mail: fop-users-unsubscribe@xmlgraphics.apache.org
For additional commands, e-mail: fop-users-help@xmlgraphics.apache.org


Mime
View raw message